net.minecraft.client.renderer.entity

## Class Render

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render

- Direct Known Subclasses:
    RenderArrow, RenderBoat, RenderEnderCrystal, RenderEntity, RendererLivingEntity, RenderFallingSand, RenderFireball, RenderFish, RenderItem, RenderItemFrame, RenderLeashKnot, RenderLightningBolt, RenderMinecart, RenderPainting, RenderSnowball, RenderTNTPrimed, RenderWitherSkull, RenderXPOrb

      public abstract class Render
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Render()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `doRender(Entity entity, double d0, double d1, double d2, float f, float f1)` Actually renders the given argument.
    `void` | `doRenderShadowAndFire(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Renders the entity's shadow and fire (if its on fire).
    `FontRenderer` | `getFontRendererFromRenderManager()` Returns the font renderer from the set render manager
    `static void` | `renderAABB(AxisAlignedBB par0AxisAlignedBB)` Adds to the tesselator a box using the aabb for the bounds.
    `static void` | `renderOffsetAABB(AxisAlignedBB par0AxisAlignedBB, double par1, double par3, double par5)` Renders a white box with the bounds of the AABB translated by the offset.
    `void` | `setRenderManager(RenderManager par1RenderManager)` Sets the RenderManager.
    `void` | `updateIcons(IconRegister par1IconRegister)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Render

          public Render()

  - ### Method Detail

    - #### doRender

          public abstract void doRender(Entity entity,
                      double d0,
                      double d1,
                      double d2,
                      float f,
                      float f1)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render

    - #### renderOffsetAABB

          public static void renderOffsetAABB(AxisAlignedBB par0AxisAlignedBB,
                              double par1,
                              double par3,
                              double par5)

      Renders a white box with the bounds of the AABB translated by the offset. Args: aabb, x, y, z

    - #### renderAABB

          public static void renderAABB(AxisAlignedBB par0AxisAlignedBB)

      Adds to the tesselator a box using the aabb for the bounds. Args: aabb

    - #### setRenderManager

          public void setRenderManager(RenderManager par1RenderManager)

      Sets the RenderManager.

    - #### doRenderShadowAndFire

          public void doRenderShadowAndFire(Entity par1Entity,
                                   double par2,
                                   double par4,
                                   double par6,
                                   float par8,
                                   float par9)

      Renders the entity's shadow and fire (if its on fire). Args: entity, x, y, z, yaw, partialTickTime

    - #### getFontRendererFromRenderManager

          public FontRenderer getFontRendererFromRenderManager()

      Returns the font renderer from the set render manager

    - #### updateIcons

          public void updateIcons(IconRegister par1IconRegister)